apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaConnector
metadata:
  name: debezium-connector-oracle-poc
  labels:
    strimzi.io/cluster: debezium-connect-orcale-cluster
spec:
  version: 3.4.0
  class: io.debezium.connector.oracle.OracleConnector
  tasksMax: 1
  config:
    tasks.max: 1
    database.hostname: dockerqa01.sofia.ifao.net
    database.port: 8002
    database.user: ${secrets:cytric-cdc/debezium-oracle-poc-secret:username}
    database.password: ${secrets:cytric-cdc/debezium-oracle-poc-secret:password}
    database.dbname: ORCLCDB.localdomain
    database.pdb.name: ORCLPDB1
    schema.include.list: CYTRICQA # Container name should EXCLUDED from values
    table.include.list: CYTRICQA.TLABEL_T # schema name should be included
    topic.prefix: "oracle.cytric-poc."
    schema.history.internal.kafka.bootstrap.servers: debezium-cluster-kafka-bootstrap:9092
    schema.history.internal.kafka.topic: oracle.CYTRICQA.schema-history
    snapshot.mode: schema_only_recovery
    snapshot.include.collection.list: CYTRICQA.TLABEL_T
